seo:
  title: Manager of France's .fr domain selects GitLab for its DevSecOps capabilities
  description: >-
    Afnic looks to The One DevOps Platform to modernize its software development
    with automation, security and compliance, and support for multi-cloud
    environments.
  ogTitle: Manager of France's .fr domain selects GitLab for its DevSecOps capabilities
  ogDescription: >-
    Afnic looks to The One DevOps Platform to modernize its software development
    with automation, security and compliance, and support for multi-cloud
    environments.
  noIndex: false
  ogImage: images/blog/hero-images/afniclogo.png
  ogUrl: https://about.gitlab.com/blog/manager-of-frances-fr-domain-selects-gitlab
  ogSiteName: https://about.gitlab.com
  ogType: article
  canonicalUrls: https://about.gitlab.com/blog/manager-of-frances-fr-domain-selects-gitlab
  schema: |2-

                            {
            "@context": "https://schema.org",
            "@type": "Article",
            "headline": "Manager of France's .fr domain selects GitLab for its DevSecOps capabilities",
            "author": [{"@type":"Person","name":"GitLab"}],
            "datePublished": "2022-05-19",
          }

content:
  title: Manager of France's .fr domain selects GitLab for its DevSecOps capabilities
  description: >-
    Afnic looks to The One DevOps Platform to modernize its software development
    with automation, security and compliance, and support for multi-cloud
    environments.
  authors:
    - GitLab
  heroImage: images/blog/hero-images/afniclogo.png
  date: '2022-05-19'
  body: >-
    Association Française pour le Nommage Internet en Coopération
    ([Afnic](https://www.afnic.fr/en/)) is a longstanding nonprofit in France
    that manages .fr domain names. Chosen 20 years ago by the French State to
    operate the .fr country code top-level domain, Afnic’s motto is “reliability
    first.” Afnic uses GitLab, The One DevOps Platform, to help sustain that
    motto through modernization of its software development environment.


    Afnic’s mission as the French National Top Level Domain Registry is to bring
    together public authorities, Internet users, and domain name professionals
    to build a secure and stable Internet, open to innovation and in which the
    French Internet community plays a leading role. Outages of such a digital
    service could prevent the provisioning of other services that rely on it and
    could thus have an impact on key economic and societal activities.


    Afnic started using GitLab about four years ago to build and secure the
    brand-new version of its Shared Registry System (SRS). The SRS is a platform
    that manages the domain names from the subscription of a domain name to the
    publication in the DNS database and all the updates during its life,
    including contacts, server names, and DNSSEC keys, according to Richard
    Coffre, Afnic’s principal product manager.


    Since the project began, all the technologies have changed. Previously,
    Afnic’s team was mainly using Java and Perl and now they use
    [Kubernetes](/solutions/kubernetes/), Angular, the latest version of Java,
    and Docker, among others. Security is paramount, and the team is using
    private clouds. That means Afnic has its own data centers in France and in
    colocation facilities all over the world.


    ## Modernizing software development with automation and integration


    Afnic selected GitLab to automate and integrate processes during the
    deployment process. Previously, the majority of things were done manually
    and now Afnic’s team wants to follow [DevSecOps philosophy and
    governance](/topics/devsecops/). They wanted one DevOps platform with
    state-of-the-art [CI/CD](/topics/ci-cd/) capabilities, the ability to
    quickly onboard new developers, and features to improve compliance and
    monitoring functionality.


    Now, Gitlab is one of the core components of Afnic’s systems.


    The company’s use of GitLab expanded as they deployed new versions of Java
    and Docker and other technologies. “We wanted to take a big step to align
    our technology with the state of the market,” Coffre says, and after
    surveying the development team, the choice was GitLab.


    The team is integrating GitLab with Jira, which is providing a lot of value,
    he adds.


    Now, in addition to developers, Afnic’s database administrators and network
    administrators use GitLab. The team is using Docker for images and Ansible.
    Jira is used for ticketing issues and is linked to GitLab and Confluence as
    a wiki to create the documentation.


    ## What GitLab brings to the table


    The goal for Afnic is to increase automation and to have everything in the
    same place and for anyone to be able to get at the proper version anytime.
    “That's the strength of GitLab," Coffre says. “That's also why we chose it
    because it's one of the leaders. Like many modern source code management
    systems, GitLab allows our developers to concurrently create source code.
    But it does it easily, giving us the possibility to do it safely,
    remembering our motto."


    Previously Afnic used only open source tools that they had to customize,
    which Coffre says was not efficient on a daily basis. To manage source code
    properly, the team syncs it to GitLab. The strong focus on community
    contributions “is a guarantee that its features match the developers’ needs,
    especially regarding CI/CD,” he adds. 


    When new developers join Afnic, it is very easy to onboard them to GitLab,
    he says. Another benefit is the cost savings because developers don’t lose
    source code. There is a time-saving metric, too, because if there is an
    issue in GitLab, it just requires someone to patch it. 


    Now developers can focus on higher-value strategic tasks like security and
    vulnerability compliance, and not manual tests and delays, etc. That frees
    up developers to focus on their job managing DNS databases because the
    GitLab platform manages the software development lifecycle end-to-end.
    Coffre says, “GitLab will provide the foundational platform for all Afnic’s
    software products moving forward. We have experienced great benefits so far
    and we are excited to expand our use of this platform into the future”.
  category: DevSecOps
  tags:
    - DevOps
    - security
    - CI
    - CD
config:
  slug: manager-of-frances-fr-domain-selects-gitlab
  featured: false
  template: BlogPost
